Subject: Re: bug#11104: 24.0.94; (void-function make-local-hook): Update NEWS maybe?

From: Bastien <[email-masked]>
Date: Thu, 29 Mar 2012 09:11:38 +0200

Lennart Borgman <[email-masked]> writes:

> On Wed, Mar 28, 2012 at 23:59, Bastien <[email-masked]> wrote:
>> Lennart Borgman <[email-masked]> writes:
>>
>>> :-)  -- This kind of humourness is hard on the internet. I am glad
>>> when it is seen as humour.
>>
>> I see it as such.  But I still don't understand why we should use
>>
>> (defalias 'make-local-hook 'identity)
>>
>> instead of
>>
>> (defalias 'make-local-hook 'ignore)
>>
>> Life is full of mysteries, that's alright.
>
> Just to be backward compatible, or?

Yes.  The `gnus-make-local-hook' uses the 'ignore function for its
backward-compatibility function.  The Sphinx said we should use
'identity for the defalias.  So I'm a bit loss.  But that's okay,
I can live with it.

-- 
 Bastien